# Verifications dynamic oneTime resource

Successful account verification outcome.

Endpoint: POST /verificationsaccounts/dynamic/cardOnFile
Version: 4
Security: BasicAuth

## Security:

  - `BasicAuth` (unknown)
    http basic

## Request fields (application/vnd.worldpay.verifications.accounts-v4.hal+json):

  - `merchant` (object, required)

  - `merchant.entity` (string, required)

  - `merchant.mcc` (string)

  - `merchant.paymentFacilitator` (object)

  - `merchant.paymentFacilitator.pfId` (string, required)

  - `merchant.paymentFacilitator.isoId` (string)

  - `merchant.paymentFacilitator.subMerchant` (object, required)

  - `merchant.paymentFacilitator.subMerchant.merchantId` (string, required)

  - `merchant.paymentFacilitator.subMerchant.name` (string, required)

  - `merchant.paymentFacilitator.subMerchant.street` (string, required)

  - `merchant.paymentFacilitator.subMerchant.city` (string, required)

  - `merchant.paymentFacilitator.subMerchant.state` (string)

  - `merchant.paymentFacilitator.subMerchant.countryCode` (string, required)

  - `merchant.paymentFacilitator.subMerchant.postalCode` (string, required)

  - `merchant.paymentFacilitator.subMerchant.taxId` (string)

  - `merchant.paymentFacilitator.subMerchant.telephone` (string)

  - `merchant.paymentFacilitator.subMerchant.email` (string)

  - `merchant.paymentFacilitator.subMerchant.url` (string)

  - `instruction` (object, required)

  - `instruction.value` (object, required)

  - `instruction.value.amount` (string, required)

  - `instruction.value.currency` (string, required)

  - `instruction.paymentInstrument` (any, required)

  - `instruction.paymentInstrument.type` (string, required)

  - `instruction.paymentInstrument.cardHolderName` (string, required)

  - `instruction.paymentInstrument.cardExpiryDate` (object, required)

  - `instruction.paymentInstrument.cardExpiryDate.month` (integer, required)

  - `instruction.paymentInstrument.cardExpiryDate.year` (integer, required)

  - `instruction.paymentInstrument.cardNumber` (string, required)

  - `instruction.paymentInstrument.verificationAddress` (object)

  - `instruction.paymentInstrument.verificationAddress.address1` (string)

  - `instruction.paymentInstrument.verificationAddress.postalCode` (string, required)

  - `instruction.paymentInstrument.verificationAddress.city` (string, required)

  - `instruction.paymentInstrument.verificationAddress.countryCode` (string, required)

  - `instruction.paymentInstrument.cvc` (string)

  - `instruction.paymentInstrument.href` (string, required)

  - `instruction.paymentInstrument.dpan` (string, required)

  - `transactionReference` (string, required)

  - `customer` (object)

  - `customer.authentication` (any, required)

  - `customer.authentication.version` (string, required)

  - `customer.authentication.type` (string, required)

  - `customer.authentication.eci` (string, required)

  - `customer.authentication.authenticationValue` (string)

  - `customer.authentication.transactionId` (string)

## Request examples:

  - `Successful account verification outcome.` (unknown)
    Successful account verification outcome.

  - `Refused account verification outcome.` (unknown)
    Refused account verification outcome.

  - `Successful Dynamic MCC account verification outcome.` (unknown)
    Successful Dynamic MCC account verification outcome.

  - `Successful account verification outcome without Payments links.` (unknown)
    Successful account verification outcome without Payments links.

  - `Successful payment facilitator account verification outcome.` (unknown)
    Successful payment facilitator account verification outcome.

  - `Successful account verification outcome with 3DS1 values.` (unknown)
    Successful account verification outcome with 3DS1 values.

  - `Successful account verification outcome with 3DS2 values.` (unknown)
    Successful account verification outcome with 3DS2 values.

  - `Successful account verification with a token.` (unknown)
    Successful account verification with a token.

  - `Successful account verification with a decrypted applepay.` (unknown)
    Successful account verification with a decrypted applepay.

## Response 201:

  - `201` (unknown)
    The account verification has been successful.

## Response 201 fields (application/vnd.worldpay.verifications.accounts-v4.hal+json):

  - `outcome` (string, required)

  - `schemeTransactionReference` (string)

  - `schemeSupplementaryReference` (string)
    Preview only. Not yet available in production.
Applies to Mastercard transactions only. A secondary reference used by the card scheme to link merchant initiated transactions (MITs) to the original customer initiated transaction (CIT). Supply the value returned by the card scheme in the original CIT.
Please see our [Mastercard TLID guide](/products/card-payments/features/mastercard-tlid) for more details.

  - `checkedAt` (string, required)

  - `riskFactors` (array)

  - `riskFactors.risk` (string, required)

  - `riskFactors.detail` (string)

  - `riskFactors.type` (string, required)

  - `paymentInstrument` (object)

  - `paymentInstrument.type` (string, required)

  - `paymentInstrument.card` (object)

  - `paymentInstrument.card.number` (object)

  - `paymentInstrument.card.number.bin` (string, required)

  - `paymentInstrument.card.number.last4Digits` (string, required)

  - `paymentInstrument.card.countryCode` (string)

  - `paymentInstrument.card.expiryDate` (object)

  - `paymentInstrument.card.expiryDate.month` (integer, required)

  - `paymentInstrument.card.expiryDate.year` (integer, required)

  - `paymentInstrument.card.brand` (string)

  - `paymentInstrument.card.fundingType` (string)

  - `paymentInstrument.card.issuer` (object)

  - `paymentInstrument.card.issuer.name` (string, required)

  - `paymentInstrument.card.category` (string)

  - `paymentInstrument.card.paymentAccountReference` (string)

## Response 202:

  - `202` (unknown)
    The account verification has been successful.

## Response 202 fields (application/vnd.worldpay.verifications.accounts-v4.hal+json):

  - `outcome` (string, required)

  - `schemeTransactionReference` (string)

  - `schemeSupplementaryReference` (string)
    Preview only. Not yet available in production.
Applies to Mastercard transactions only. A secondary reference used by the card scheme to link merchant initiated transactions (MITs) to the original customer initiated transaction (CIT). Supply the value returned by the card scheme in the original CIT.
Please see our [Mastercard TLID guide](/products/card-payments/features/mastercard-tlid) for more details.

  - `checkedAt` (string, required)

  - `riskFactors` (array)

  - `riskFactors.risk` (string, required)

  - `riskFactors.detail` (string)

  - `riskFactors.type` (string, required)

  - `paymentInstrument` (object)

  - `paymentInstrument.type` (string, required)

  - `paymentInstrument.card` (object)

  - `paymentInstrument.card.number` (object)

  - `paymentInstrument.card.number.bin` (string, required)

  - `paymentInstrument.card.number.last4Digits` (string, required)

  - `paymentInstrument.card.countryCode` (string)

  - `paymentInstrument.card.expiryDate` (object)

  - `paymentInstrument.card.expiryDate.month` (integer, required)

  - `paymentInstrument.card.expiryDate.year` (integer, required)

  - `paymentInstrument.card.brand` (string)

  - `paymentInstrument.card.fundingType` (string)

  - `paymentInstrument.card.issuer` (object)

  - `paymentInstrument.card.issuer.name` (string, required)

  - `paymentInstrument.card.category` (string)

  - `paymentInstrument.card.paymentAccountReference` (string)

## Response 201 examples:

  - `Successful account verification outcome.` (unknown)
    Successful account verification outcome.

  - `Refused account verification outcome.` (unknown)
    Refused account verification outcome.

  - `Successful Dynamic MCC account verification outcome.` (unknown)
    Successful Dynamic MCC account verification outcome.

  - `Successful payment facilitator account verification outcome.` (unknown)
    Successful payment facilitator account verification outcome.

  - `Successful account verification outcome with 3DS1 values.` (unknown)
    Successful account verification outcome with 3DS1 values.

  - `Successful account verification outcome with 3DS2 values.` (unknown)
    Successful account verification outcome with 3DS2 values.

  - `Successful account verification with a token.` (unknown)
    Successful account verification with a token.

  - `Successful account verification with a decrypted applepay.` (unknown)
    Successful account verification with a decrypted applepay.

## Response 202 examples:

  - `Successful account verification outcome without Payments links.` (unknown)
    Successful account verification outcome without Payments links.

